libfuse

Data Fields
fuse_bufvec Struct Reference

`#include <fuse_common.h>`

## Data Fields
size_t | count
size_t | idx
size_t | off
struct fuse_buf | buf [1]

## Detailed Description

Data buffer vector

An array of data buffers, each containing a memory pointer or a file descriptor.

Allocate dynamically to add more than one buffer.

Definition at line 942 of file fuse_common.h.

## Field Documentation

## ◆ buf

struct fuse_buf fuse_bufvec::buf

Array of buffers

Definition at line 961 of file fuse_common.h.

## ◆ count

size_t fuse_bufvec::count

Number of buffers in the array

Definition at line 946 of file fuse_common.h.

## ◆ idx

size_t fuse_bufvec::idx

Index of current buffer within the array

Definition at line 951 of file fuse_common.h.

## ◆ off

size_t fuse_bufvec::off

Current offset within the current buffer

Definition at line 956 of file fuse_common.h.

The documentation for this struct was generated from the following files:

- fuse-3.17.1-rc0/include/fuse_common.h
- include/fuse_common.h